Bio Radio SDK - Xamarin Android: GLNeuroTech.Devices.BioRadio.Configuration.EventMarkerChannelConfiguration Class Reference

| Bio Radio SDK - Xamarin Android

Public Member Functions | List of all members
GLNeuroTech.Devices.BioRadio.Configuration.EventMarkerChannelConfiguration Class Reference

Represents the configuration of a BioRadio event marker channel. More...

Inheritance diagram for GLNeuroTech.Devices.BioRadio.Configuration.EventMarkerChannelConfiguration:

## Public Member Functions

| EventMarkerChannelConfiguration ()
| Set Event Marker Channel Configuration for Transition and Polarity. More...
override bool | Equals (object obj)
| Compare two Event Marker Channel Configuration More...
override int | GetHashCode ()
Public Member Functions inherited from GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration
| ChannelConfiguration ()
| Channel configuration: set initial Name, Saved and Streamed More...
override bool | Equals (object obj)
| COmpare two channel configuration More...
override int | GetHashCode ()
| Get Hash Code for Name and Preset Code More...

## Additional Inherited Members

Properties inherited from GLNeuroTech.Devices.BioRadio.Configuration.ChannelConfiguration
string | ChannelType`[get]`
| A text label to describe the type of channel More...
int | ChannelIndex`[get, set]`
| The one-based channel ID that corresponds to the channel label on the device. More...
String | Name`[get, set]`
| The name associated with this channel. Names cannot exceed 30 characters. More...
bool | Enabled`[get, set]`
| Indicates whether this channel is enabled. If true, data will be acquired on this channel. Otherwise, no data will be acquired. More...
bool | Saved`[get, set]`
| Indicates whether this channel will be saved to internal device memory when acquiring. More...
bool | Streamed`[get, set]`
| Indicates whether channel data will be wirelessly streamed to a connected client when acquisition is started. More...
ushort | PresetCode`[get, set]`
| A code to indicate an application-specific use for this channel. More...
bool | Connected`[get, set]`
| Indicates whether this channel is connected. This is a read-only property. More...

## Detailed Description

Represents the configuration of a BioRadio event marker channel.

## Constructor & Destructor Documentation

## ◆ EventMarkerChannelConfiguration()

GLNeuroTech.Devices.BioRadio.Configuration.EventMarkerChannelConfiguration.EventMarkerChannelConfiguration | ( |  | ) |

Set Event Marker Channel Configuration for Transition and Polarity.

## Member Function Documentation

## ◆ Equals()

override bool GLNeuroTech.Devices.BioRadio.Configuration.EventMarkerChannelConfiguration.Equals | ( | object | obj | ) |

Compare two Event Marker Channel Configuration

Parameters

  obj | Take an event marker channel configuration object.

Returns
  True if Transition and Polarity are True.

## ◆ GetHashCode()

override int GLNeuroTech.Devices.BioRadio.Configuration.EventMarkerChannelConfiguration.GetHashCode | ( |  | ) |

Get Hash Code for Polarity and Transition for an Event Marker Channel Configuration.

Returns